#include<bits/stdc++.h>
using namespace std;
int tamgiac(int a,int b,int c)
{
	if(a+b>c&&a+c>b&&b+c>a)
	return 1;
	else
	return 0;
}
double dientich(int a,int b,int c)
{
	float p=(a+b+c)/2;
	double s=sqrt(p*(p-a)*(p-b)*(p-c));
	return s;
}
int main()
{
	ifstream f1("TAMGIAC.inp");
	ofstream f2("TAMGIAC.out");
	int a,b,c;
	f1>>a>>b>>c;
	if(tamgiac(a,b,c)==0)
	f2<<"NO";
	if(tamgiac(a,b,c)==1)
	{
		f2<<"YES"<<endl;
		f2<<setprecision(2)<<fixed<<dientich(a,b,c);
	}
	f1.close();
	f2.close();
}
